PojoWrapper (Groovy 3.0.9)

Package org.codehaus.groovy.runtime.wrappers

## Class PojoWrapper

- java.lang.Object
- - org.codehaus.groovy.runtime.wrappers.Wrapper
  - - org.codehaus.groovy.runtime.wrappers.PojoWrapper

- All Implemented Interfaces:
    `GroovyObject`
  Direct Known Subclasses:
    `BooleanWrapper`, `ByteWrapper`, `CharWrapper`, `DoubleWrapper`, `FloatWrapper`, `IntWrapper`, `LongWrapper`, `ShortWrapper`

      public class PojoWrapper
      extends Wrapper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MetaClass` | `delegate` |
    `protected Object` | `wrapped` |

    - ### Fields inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

      `constrainedType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PojoWrapper​(Object wrapped, Class constrainedType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected MetaClass` | `getDelegatedMetaClass()` |
    `Object` | `getProperty​(String property)` | Retrieves a property value.
    `protected Object` | `getWrapped()` |
    `Object` | `invokeMethod​(String methodName, Object arguments)` | Invokes the given method.
    `void` | `setMetaClass​(MetaClass metaClass)` | Allows the MetaClass to be replaced with a derived implementation.
    `void` | `setProperty​(String property, Object newValue)` | Sets the given property to the new value.
    `Object` | `unwrap()` |

    - ### Methods inherited from class org.codehaus.groovy.runtime.wrappers.Wrapper

      `getMetaClass, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### delegate

          protected MetaClass delegate

    - #### wrapped

          protected final Object wrapped

  - ### Constructor Detail

    - #### PojoWrapper

          public PojoWrapper​(Object wrapped,
                             Class constrainedType)

  - ### Method Detail

    - #### unwrap

          public Object unwrap()

      Specified by:
        `unwrap` in class `Wrapper`

    - #### getProperty

          public Object getProperty​(String property)

      Description copied from interface: `GroovyObject`
      Retrieves a property value.
      Parameters:
        `property` - the name of the property of interest
      Returns:
        the given property

    - #### invokeMethod

          public Object invokeMethod​(String methodName,
                                     Object arguments)

      Description copied from interface: `GroovyObject`
      Invokes the given method.
      Parameters:
        `methodName` - the name of the method to call
        `arguments` - the arguments to use for the method call
      Returns:
        the result of invoking the method

    - #### setMetaClass

          public void setMetaClass​(MetaClass metaClass)

      Description copied from interface: `GroovyObject`
      Allows the MetaClass to be replaced with a derived implementation.
      Parameters:
        `metaClass` - the new metaclass

    - #### setProperty

          public void setProperty​(String property,
                                  Object newValue)

      Description copied from interface: `GroovyObject`
      Sets the given property to the new value.
      Parameters:
        `property` - the name of the property of interest
        `newValue` - the new value for the property

    - #### getWrapped

          protected Object getWrapped()

      Specified by:
        `getWrapped` in class `Wrapper`

    - #### getDelegatedMetaClass

          protected MetaClass getDelegatedMetaClass()

      Specified by:
        `getDelegatedMetaClass` in class `Wrapper`